libfuture-asyncawait-perl (0.69-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.69.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Sep 2024 20:58:27 +0200

libfuture-asyncawait-perl (0.68-1) unstable; urgency=medium

  * Import upstream version 0.68.

 -- gregor herrmann <gregoa@debian.org>  Sun, 01 Sep 2024 17:43:09 +0200

libfuture-asyncawait-perl (0.67-1) unstable; urgency=medium

  * Import upstream version 0.67.
  * Update years of upstream and packaging copyright.
  * Update dependencies.
  * Drop debian/clean, the files are not generated anymore.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Aug 2024 18:07:52 +0200

libfuture-asyncawait-perl (0.66-1) unstable; urgency=medium

  * Import upstream version 0.66.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Sep 2023 21:41:58 +0200

libfuture-asyncawait-perl (0.65-3) unstable; urgency=medium

  * Remove generated files via debian/clean. (Closes: #1046862)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Aug 2023 23:24:21 +0200

libfuture-asyncawait-perl (0.65-2) unstable; urgency=medium

  * Remove some test dependencies from Build-Depends which (can) cause
    dependency cycles.

 -- gregor herrmann <gregoa@debian.org>  Mon, 03 Jul 2023 19:03:29 +0200

libfuture-asyncawait-perl (0.65-1) unstable; urgency=medium

  * Import upstream version 0.64.
    - Define ABI version 2, which adds pre_suspend and post_resume phase hooks

  * Import upstream version 0.65.
  * Update (versioned) test and runtime dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Jun 2023 23:56:34 +0200

libfuture-asyncawait-perl (0.63-1) unstable; urgency=medium

  * Import upstream version 0.63.
  * Update years of upstream and packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Feb 2023 17:51:53 +0100

libfuture-asyncawait-perl (0.62-1) unstable; urgency=medium

  * Import upstream version 0.62.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2022 23:37:57 +0100

libfuture-asyncawait-perl (0.61-2) unstable; urgency=medium

  * Disable test dependency on libdevel-mat-perl temporarily as long as it
    doesn't build reliably (cf. #1026046).

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Dec 2022 19:55:13 +0100

libfuture-asyncawait-perl (0.61-1) unstable; urgency=medium

  * Import upstream version 0.61.
  * Add test dependencies for additional tests.

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Nov 2022 17:37:30 +0100

libfuture-asyncawait-perl (0.59-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libfuture-asyncawait-perl: Drop Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Nov 2022 16:42:23 +0000

libfuture-asyncawait-perl (0.59-1) unstable; urgency=medium

  * Import upstream version 0.59.

 -- gregor herrmann <gregoa@debian.org>  Tue, 04 Oct 2022 20:20:32 +0200

libfuture-asyncawait-perl (0.58-2) unstable; urgency=medium

  * Drop test dependency on libtest-memorygrowth-perl.
    These tests cause more grief than gain.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Sep 2022 21:12:13 +0200

libfuture-asyncawait-perl (0.58-1) unstable; urgency=medium

  * Import upstream version 0.58.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 May 2022 17:58:52 +0200

libfuture-asyncawait-perl (0.57-1) unstable; urgency=medium

  * Import upstream version 0.57.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Mar 2022 18:11:13 +0100

libfuture-asyncawait-perl (0.56-1) unstable; urgency=medium

  * Import upstream version 0.56.
  * Update years of upstream and packaging copyright.
  * Bump versioned (build) dependency on libfuture-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Jan 2022 17:17:41 +0100

libfuture-asyncawait-perl (0.55-1) unstable; urgency=medium

  * Team upload.

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten (build-)dependency on libxs-parse-sublike-perl
  * build-dpend on libtest-fatal-perl

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Dec 2021 20:49:56 +0100

libfuture-asyncawait-perl (0.54-1) unstable; urgency=medium

  * Import upstream version 0.54.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Oct 2021 17:50:39 +0200

libfuture-asyncawait-perl (0.53-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on perl.
    + libfuture-asyncawait-perl: Drop versioned constraint on perl in Depends.

  [ gregor herrmann ]
  * Import upstream version 0.53.
  * New test and runtime dependency: libxs-parse-keyword-perl.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 29 Sep 2021 16:11:44 +0200

libfuture-asyncawait-perl (0.49-1) unstable; urgency=medium

  * Import upstream version 0.49.

 -- gregor herrmann <gregoa@debian.org>  Thu, 25 Feb 2021 19:47:19 +0100

libfuture-asyncawait-perl (0.48-1) unstable; urgency=medium

  * Import upstream version 0.48.
  * Update years of upstream and packaging copyright.
  * Update versioned build dependencies.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Feb 2021 00:36:39 +0100

libfuture-asyncawait-perl (0.47-1) unstable; urgency=medium

  * Import upstream version 0.47.

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 Dec 2020 18:04:38 +0100

libfuture-asyncawait-perl (0.46-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.

  [ gregor herrmann ]
  * Import upstream version 0.46.
  * Make (build) dependency on libfuture-perl versioned.
  * Declare compliance with Debian Policy 4.5.1.
  * Drop unneeded version constraints from (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Wed, 18 Nov 2020 20:43:35 +0100

libfuture-asyncawait-perl (0.45-1) unstable; urgency=medium

  * Import upstream version 0.45.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Oct 2020 18:40:57 +0200

libfuture-asyncawait-perl (0.44-1) unstable; urgency=medium

  * Import upstream version 0.44.

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Oct 2020 18:04:58 +0200

libfuture-asyncawait-perl (0.43-1) unstable; urgency=medium

  * Import upstream version 0.43.

 -- gregor herrmann <gregoa@debian.org>  Tue, 07 Jul 2020 22:21:07 +0200

libfuture-asyncawait-perl (0.42-1) unstable; urgency=medium

  * Import upstream version 0.42.
  * Update notice about module status in debian/control.

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Jul 2020 19:35:23 +0200

libfuture-asyncawait-perl (0.41-1) unstable; urgency=medium

  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Import upstream version 0.41.
  * Update (build) dependencies.
  * Drop debian/tests/pkg-perl/use-whitelist. The warnings are gone.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Jun 2020 22:55:10 +0200

libfuture-asyncawait-perl (0.40-1) unstable; urgency=medium

  * Import upstream version 0.40.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Apr 2020 19:58:36 +0200

libfuture-asyncawait-perl (0.39-1) unstable; urgency=medium

  * Import upstream version 0.39.
  * Update (build) dependencies.
  * Add debian/tests/pkg-perl/use-whitelist.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Apr 2020 17:23:15 +0200

libfuture-asyncawait-perl (0.37-1) unstable; urgency=medium

  * Import upstream version 0.37.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <gregoa@debian.org>  Wed, 11 Mar 2020 21:36:34 +0100

libfuture-asyncawait-perl (0.36-1) unstable; urgency=medium

  * Import upstream version 0.36.

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jan 2020 02:20:28 +0100

libfuture-asyncawait-perl (0.35-1) unstable; urgency=medium

  * Import upstream version 0.35.
  * Update years of upstream and packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 Jan 2020 02:56:56 +0100

libfuture-asyncawait-perl (0.34-2) unstable; urgency=medium

  * Add libsyntax-keyword-dynamically-perl to Build-Depends to enable an
    additional test.

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 Dec 2019 23:39:19 +0100

libfuture-asyncawait-perl (0.34-1) unstable; urgency=medium

  * Import upstream version 0.34.
  * Update Build-Depends for cross builds.
  * Declare compliance with Debian Policy 4.4.1.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Dec 2019 02:01:51 +0100

libfuture-asyncawait-perl (0.33-1) unstable; urgency=medium

  * Import upstream version 0.33.

 -- gregor herrmann <gregoa@debian.org>  Wed, 11 Sep 2019 22:06:38 +0200

libfuture-asyncawait-perl (0.32-1) unstable; urgency=medium

  * Import upstream versions 0.31, 0.32.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Sep 2019 14:20:05 +0200

libfuture-asyncawait-perl (0.30-1) unstable; urgency=medium

  * Import upstream versions 0.29, 0.30.
  * Make build dependency on libtest-refcount-perl versioned.
  * Update warning in debian/control.
  * Annotate test-only dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.

 -- gregor herrmann <gregoa@debian.org>  Tue, 16 Jul 2019 18:44:19 -0300

libfuture-asyncawait-perl (0.28-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.28
  * Remove unnecessary version cap

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 22 Jun 2019 01:22:55 +0530

libfuture-asyncawait-perl (0.26-1) unstable; urgency=medium

  * Import upstream version 0.26.

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 May 2019 21:25:00 +0200

libfuture-asyncawait-perl (0.22-1) unstable; urgency=medium

  * Import upstream version 0.22.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * debian/control: update warning.
    The module is considered a "beta version" by now.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Apr 2019 14:22:37 +0200

libfuture-asyncawait-perl (0.21-2) unstable; urgency=medium

  * Add build dependency on libtest-memorygrowth-perl.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Feb 2019 16:49:57 +0100

libfuture-asyncawait-perl (0.21-1) unstable; urgency=medium

  * Import upstream version 0.21.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Feb 2019 23:01:32 +0100

libfuture-asyncawait-perl (0.20-1) unstable; urgency=medium

  * Import upstream version 0.20.
  * Add build dependency on libtest-refcount-perl.

 -- gregor herrmann <gregoa@debian.org>  Thu, 17 Jan 2019 16:37:06 +0100

libfuture-asyncawait-perl (0.19-1) unstable; urgency=medium

  * Import upstream version 0.19.
  * Update years of upstream and packaging copyright.
  * Bump required perl version to 5.22.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Jan 2019 20:17:43 +0100

libfuture-asyncawait-perl (0.15-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * New upstream release.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Mar 2018 18:25:27 +0100

libfuture-asyncawait-perl (0.13-2) unstable; urgency=medium

  * Add libsyntax-keyword-try-perl to Build-Depends in order to enable an
    additional test.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Jan 2018 19:45:20 +0100

libfuture-asyncawait-perl (0.13-1) unstable; urgency=medium

  * Initial release (closes: #887800).

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Jan 2018 02:29:06 +0100
